@import "../../../../scss/variables.scss";
@import "../../../../../node_modules/bulma/sass/utilities/_all.sass";

.tabs-container {
  display: flex;
  align-content: stretch;
  flex-wrap: wrap;
  border-bottom: 1px solid $grey-super-light-color;
  margin-top:1.5rem;

  li {
    display: flex;
    align-items: center;
    padding-right: 2rem;
    padding-bottom: 0.8rem;
    padding-top: 0.4rem;
    cursor: pointer;
    position: relative;
    margin-bottom: 1px;
    width: 50%;

    @media screen and (min-width: $tablet) {
      width: 33%;
      padding-right: 3rem;
    }

    @media screen and (min-width: $desktop) {
      width: 20%;
    }
  }

  li:last-child {
    padding-right: 0;
  }

  .tab-label {
    font-size: 1rem;
    font-weight: 500;
    color: $brand-color;
  }

  li:hover {
    .tab-label {
      font-weight: 600;
    }
  }

  li.is-active {
    .tab-label {
      color: $tomato-color;
      font-weight: 600;
    }
  }

  li::after {
    content: '';
    display: block;
    height: 2px;
    background: $tomato-color;
    width: 0;
    position: absolute;
    bottom: -2px;
  }

  li.is-active::after {
    transition: width 0.3s;
    width: 100%;
  }
}
